# List Transfer Requests

`GET /wallets/{walletId}/transfers?paginationToken={token}`

Retrieves a list of transfer requests for the specified wallet.

{% hint style="info" %}

* Request headers required. See [Request Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers) for more information.
* Authentication required. See [Authentication Headers](https://docs-legacy.dfns.co/d/advanced-topics/authentication/request-headers#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name                     | Conditions      |
| ------------------------ | --------------- |
| `Wallets:Transfers:Read` | Always Required |

## Parameters

### Path parameters

| Path parameter | Description                      |
| -------------- | -------------------------------- |
| `walletId`     | Unique identifier of the wallet. |

### Query parameters

| Query parameter   | Description                                                                                         | Type - Optional      |
| ----------------- | --------------------------------------------------------------------------------------------------- | -------------------- |
| `limit`           | Maximum number of items to return. Default to 100.                                                  | Integer *(optional)* |
| `paginationToken` | Opaque token used to retrieve the next page. Returned as `nextPageToken` from the previous request. | String *(optional)*  |

## Response Body

| Field           | Description                                                                                                  | Type - Optional                                                                                     |
| --------------- | ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------- |
| `walletId`      | ID of the wallet.                                                                                            | String                                                                                              |
| `items`         | List of signature requests.                                                                                  | See [Transfer Asset Response](https://docs-legacy.dfns.co/d/api-docs/transfer-asset#response-body). |
| `nextPageToken` | Opaque token used to retrieve the next page of items by setting as `paginationToken` in the query parameter. | String *(optional)*                                                                                 |

### 200 Success

```json
{
  "walletId": "wa-39abb-e9kpk-xxxxxxxxxxxxxxxx",
  "items": [
    {
      "id": "xfr-61bai-v6lao-xxxxxxxxxxxxxxxx",
      "walletId": "wa-39abb-e9kpk-xxxxxxxxxxxxxxxx",
      "network": "EthereumSepolia",
      "requester": {
        "userId": "us-3v1ag-v6b36-xxxxxxxxxxxxxxxx",
        "tokenId": "to-7mkkj-c831n-xxxxxxxxxxxxxxxx",
      },
      "requestBody": {
        "kind": "Native",
        "to": "0xb282dc7cde21717f18337a596e91ded00b79b25f",
        "amount": "1000000000"
      },
      "status": "Confirmed",
      "txHash": "0x4c94e7335efdb9a708f143b0f50f0130cff07271215042050bdd8ad429fa146f",
      "fee": "31500000147000",
      "dateRequested": "2023-05-09T22:39:33.198Z",
      "dateBroadcasted": "2023-05-09T22:39:38.815Z",
      "dateConfirmed": "2023-05-09T22:39:48.000Z"
    },
    {
      "id": "xfr-4n0dm-fqju5-xxxxxxxxxxxxxxxx",
      "walletId": "wa-39abb-e9kpk-xxxxxxxxxxxxxxxx",
      "network": "EthereumSepolia",
      "requester": {
        "userId": "us-3v1ag-v6b36-xxxxxxxxxxxxxxxx",
        "tokenId": "to-7mkkj-c831n-xxxxxxxxxxxxxxxx",
      },
      "requestBody": {
        "kind": "Erc721",
        "contract": "0x00fb58432ef9d418bf6688bcf0a226d2fcaa18e2",
        "to": "0xb282dc7cde21717f18337a596e91ded00b79b25f",
        "tokenId": "1"
      },
      "status": "Confirmed",
      "txHash": "0xcddf1167b53fcbe61c5360b50a2a075173049970c4c9dbea1e45db5ff9e41c15",
      "fee": "95866500447377",
      "dateRequested": "2023-05-08T18:10:43.521Z",
      "dateBroadcasted": "2023-05-08T18:10:48.373Z",
      "dateConfirmed": "2023-05-08T18:11:00.000Z"
    },
    ...
  ],
  "nextPageToken": "WszQXoENUIYyoBQjJm4DE6QhCk2sB7WAh9kykUMaTQcD25SToKbuXkgf3td8ZYb2LrtopPLo35u407gwwA1Sug=="
}
```
